Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class X509CRLEntryObject

    java.lang.Object
      |
      +--java.security.cert.X509CRLEntry
            |
            +--org.bouncycastle.jce.provider.X509CRLEntryObject

All Implemented Interfaces:
  java.security.cert.X509Extension

public class X509CRLEntryObject
extends java.security.cert.X509CRLEntry

The following extensions are listed in RFC 2459 as relevant to CRL Entries ReasonCode Hode Instruction Code Invalidity Date Certificate Issuer (critical)

Constructor Summary
`X509CRLEntryObject(TBSCertList.CRLEntry c)`

Method Summary
`java.util.Set` | `getCriticalExtensionOIDs()`
`byte[]` | `getEncoded()`
`byte[]` | `getExtensionValue(java.lang.String oid)`
`java.util.Set` | `getNonCriticalExtensionOIDs()`
`java.util.Date` | `getRevocationDate()`
`java.math.BigInteger` | `getSerialNumber()`
`boolean` | `hasExtensions()`
`boolean` | `hasUnsupportedCriticalExtension()` Will return true if any extensions are present and marked as critical as we currently dont handle any extensions!
`java.lang.String` | `toString()`

Methods inherited from class java.security.cert.X509CRLEntry
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### X509CRLEntryObject

    public X509CRLEntryObject(TBSCertList.CRLEntry c)

Method Detail

### hasUnsupportedCriticalExtension

    public boolean hasUnsupportedCriticalExtension()

  Will return true if any extensions are present and marked as critical as we currently dont handle any extensions!

### getCriticalExtensionOIDs

    public java.util.Set getCriticalExtensionOIDs()

### getNonCriticalExtensionOIDs

    public java.util.Set getNonCriticalExtensionOIDs()

### getExtensionValue

    public byte[] getExtensionValue(java.lang.String oid)

### getEncoded

    public byte[] getEncoded()
                      throws java.security.cert.CRLException

  Specified by:
    `getEncoded` in class `java.security.cert.X509CRLEntry`
    `java.security.cert.CRLException`

### getSerialNumber

    public java.math.BigInteger getSerialNumber()

  Specified by:
    `getSerialNumber` in class `java.security.cert.X509CRLEntry`

### getRevocationDate

    public java.util.Date getRevocationDate()

  Specified by:
    `getRevocationDate` in class `java.security.cert.X509CRLEntry`

### hasExtensions

    public boolean hasExtensions()

  Specified by:
    `hasExtensions` in class `java.security.cert.X509CRLEntry`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `java.security.cert.X509CRLEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.26
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD